org.apache.xmlgraphics.java2d

## Class Dimension2DDouble

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - org.apache.xmlgraphics.java2d.Dimension2DDouble

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Dimension2DDouble
      extends java.awt.geom.Dimension2D
      implements java.io.Serializable

  Subclass of Dimension2D which takes double values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dimension2DDouble()` Default constructor.
    `Dimension2DDouble(double width, double height)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getHeight()`
    `double` | `getWidth()`
    `int` | `hashCode()`
    `void` | `setSize(double w, double h)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.awt.geom.Dimension2D

      `clone, setSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dimension2DDouble

          public Dimension2DDouble()

      Default constructor.

    - #### Dimension2DDouble

          public Dimension2DDouble(double width,
                                   double height)

      Main constructor.
      Parameters:
        `width` - initial width
        `height` - initial height

  - ### Method Detail

    - #### getWidth

          public double getWidth()

      Specified by:
        `getWidth` in class `java.awt.geom.Dimension2D`

    - #### getHeight

          public double getHeight()

      Specified by:
        `getHeight` in class `java.awt.geom.Dimension2D`

    - #### setSize

          public void setSize(double w,
                              double h)

      Specified by:
        `setSize` in class `java.awt.geom.Dimension2D`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.